# This class can be abstracted and is meant to handle the drawing workflow
# of each individual model.
tool
extends Resource
class_name SummerDayBlueprint


export(PackedScene) var model = null
var active = true # Not handled right now.


func _create_model() -> PackedScene: # Virtual.
	return null


func _create_cell() -> SummerDayCell: # Virtual.
	return null


func _input(event): # Virtual.
	pass


func get_model() -> PackedScene:
	if model == null:
		model = _create_model()
	return model
